Share via


Pipelines - Get

Gets a pipeline.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/pipelines/{pipelineName}?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

pipelineName
path True

string

minLength: 1
maxLength: 260
pattern: ^[A-Za-z0-9_][^<>*#.%&:\\+?/]*$

The pipeline name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-none-match

string

ETag of the pipeline entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.

Responses

Name Type Description
200 OK

PipelineResource

Azure operation completed successfully.

Other Status Codes

The client has made a conditional request and the resource has not been modified.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Pipelines_Get

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/pipelines/examplePipeline?api-version=2018-06-01

Sample response

Date: Mon, 22 Apr 2019 18:33:51 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: f3865c61-4888-4b91-a617-9a985d9dd0fd
x-ms-ratelimit-remaining-subscription-reads: 11991
x-ms-request-id: f3865c61-4888-4b91-a617-9a985d9dd0fd
{
  "name": "examplePipeline",
  "type": "Microsoft.DataFactory/factories/pipelines",
  "etag": "1500504f-0000-0200-0000-5cbe090f0000",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/pipelines/examplePipeline",
  "properties": {
    "description": "Example description",
    "activities": [
      {
        "name": "ExampleForeachActivity",
        "type": "ForEach",
        "typeProperties": {
          "activities": [
            {
              "name": "ExampleCopyActivity",
              "type": "Copy",
              "inputs": [
                {
                  "type": "DatasetReference",
                  "parameters": {
                    "MyFileName": "examplecontainer.csv",
                    "MyFolderPath": "examplecontainer"
                  },
                  "referenceName": "exampleDataset"
                }
              ],
              "outputs": [
                {
                  "type": "DatasetReference",
                  "parameters": {
                    "MyFileName": {
                      "type": "Expression",
                      "value": "@item()"
                    },
                    "MyFolderPath": "examplecontainer"
                  },
                  "referenceName": "exampleDataset"
                }
              ],
              "typeProperties": {
                "dataIntegrationUnits": 32,
                "sink": {
                  "type": "BlobSink"
                },
                "source": {
                  "type": "BlobSource"
                }
              }
            }
          ],
          "isSequential": true,
          "items": {
            "type": "Expression",
            "value": "@pipeline().parameters.OutputBlobNameList"
          }
        }
      }
    ],
    "parameters": {
      "OutputBlobNameList": {
        "type": "Array"
      }
    },
    "policy": {
      "elapsedTimeMetric": {
        "duration": "0.00:10:00"
      }
    },
    "variables": {
      "TestVariableArray": {
        "type": "Array"
      }
    }
  }
}

Definitions

Name Description
ActivityDependency

Activity dependency information.

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

ActivityPolicy

Execution policy for an activity.

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

AmazonMWSSource

A copy activity Amazon Marketplace Web Service source.

AmazonRdsForOraclePartitionSettings

The settings that will be leveraged for AmazonRdsForOracle source partitioning.

AmazonRdsForOracleSource

A copy activity AmazonRdsForOracle source.

AmazonRdsForSqlServerSource

A copy activity Amazon RDS for SQL Server source.

AmazonRedshiftSource

A copy activity source for Amazon Redshift Source.

AmazonS3CompatibleReadSettings

Amazon S3 Compatible read settings.

AmazonS3ReadSettings

Amazon S3 read settings.

AppendVariableActivity

Append value for a Variable of type Array.

AvroSink

A copy activity Avro sink.

AvroSource

A copy activity Avro source.

AvroWriteSettings

Avro write settings.

AzureBlobFSReadSettings

Azure blobFS read settings.

AzureBlobFSSink

A copy activity Azure Data Lake Storage Gen2 sink.

AzureBlobFSSource

A copy activity Azure BlobFS source.

AzureBlobFSWriteSettings

Azure blobFS write settings.

AzureBlobStorageReadSettings

Azure blob read settings.

AzureBlobStorageWriteSettings

Azure blob write settings.

AzureDatabricksDeltaLakeExportCommand

Azure Databricks Delta Lake export command settings.

AzureDatabricksDeltaLakeImportCommand

Azure Databricks Delta Lake import command settings.

AzureDatabricksDeltaLakeSink

A copy activity Azure Databricks Delta Lake sink.

AzureDatabricksDeltaLakeSource

A copy activity Azure Databricks Delta Lake source.

AzureDataExplorerCommandActivity

Azure Data Explorer command activity.

AzureDataExplorerSink

A copy activity Azure Data Explorer sink.

AzureDataExplorerSource

A copy activity Azure Data Explorer (Kusto) source.

AzureDataLakeStoreReadSettings

Azure data lake store read settings.

AzureDataLakeStoreSink

A copy activity Azure Data Lake Store sink.

AzureDataLakeStoreSource

A copy activity Azure Data Lake source.

AzureDataLakeStoreWriteSettings

Azure data lake store write settings.

AzureFileStorageReadSettings

Azure File Storage read settings.

AzureFileStorageWriteSettings

Azure File Storage write settings.

AzureFunctionActivity

Azure Function activity.

AzureFunctionActivityMethod

The list of HTTP methods supported by a AzureFunctionActivity.

AzureKeyVaultSecretReference

Azure Key Vault secret reference.

AzureMariaDBSource

A copy activity Azure MariaDB source.

AzureMLBatchExecutionActivity

Azure ML Batch Execution activity.

AzureMLExecutePipelineActivity

Azure ML Execute Pipeline activity.

AzureMLUpdateResourceActivity

Azure ML Update Resource management activity.

AzureMLWebServiceFile

Azure ML WebService Input/Output file

AzureMySqlSink

A copy activity Azure MySql sink.

AzureMySqlSource

A copy activity Azure MySQL source.

AzurePostgreSqlSink

A copy activity Azure Database for PostgreSQL sink.

AzurePostgreSqlSinkUpsertSettings

Azure Database for PostgreSQL upsert option settings

AzurePostgreSqlSource

A copy activity Azure Database for PostgreSQL source.

AzurePostgreSqlWriteMethodEnum

The write behavior for the operation. Default is Bulk Insert.

AzureQueueSink

A copy activity Azure Queue sink.

AzureSearchIndexSink

A copy activity Azure Search Index sink.

AzureSearchIndexWriteBehaviorType

Specify the write behavior when upserting documents into Azure Search Index.

AzureSqlSink

A copy activity Azure SQL sink.

AzureSqlSource

A copy activity Azure SQL source.

AzureTableSink

A copy activity Azure Table sink.

AzureTableSource

A copy activity Azure Table source.

BigDataPoolParametrizationReference

Big data pool reference type.

BigDataPoolReferenceType

Big data pool reference type.

BinaryReadSettings

Binary read settings.

BinarySink

A copy activity Binary sink.

BinarySource

A copy activity Binary source.

BlobSink

A copy activity Azure Blob sink.

BlobSource

A copy activity Azure Blob source.

CassandraSource

A copy activity source for a Cassandra database.

CassandraSourceReadConsistencyLevels

The consistency level specifies how many Cassandra servers must respond to a read request before returning data to the client application. Cassandra checks the specified number of Cassandra servers for data to satisfy the read request. Must be one of cassandraSourceReadConsistencyLevels. The default value is 'ONE'. It is case-insensitive.

CloudError

The object that defines the structure of an Azure Data Factory error response.

CommonDataServiceForAppsSink

A copy activity Common Data Service for Apps sink.

CommonDataServiceForAppsSource

A copy activity Common Data Service for Apps source.

ConcurSource

A copy activity Concur Service source.

ConfigurationType

The type of the spark config.

ContinuationSettingsReference

Continuation settings for execute data flow activity.

ControlActivity

Base class for all control activities like IfCondition, ForEach , Until.

CopyActivity

Copy activity.

CopyActivityLogSettings

Settings for copy activity log.

CosmosDbMongoDbApiSink

A copy activity sink for a CosmosDB (MongoDB API) database.

CosmosDbMongoDbApiSource

A copy activity source for a CosmosDB (MongoDB API) database.

CosmosDbSqlApiSink

A copy activity Azure CosmosDB (SQL API) Collection sink.

CosmosDbSqlApiSource

A copy activity Azure CosmosDB (SQL API) Collection source.

CouchbaseSource

A copy activity Couchbase server source.

createdByType

The type of identity that created the resource.

CredentialReference

Credential reference type.

CredentialReferenceType

Credential reference type.

CustomActivity

Custom activity type.

CustomActivityReferenceObject

Reference objects for custom activity

DatabricksJobActivity

Databricks Job activity.

DatabricksNotebookActivity

DatabricksNotebook activity.

DatabricksSparkJarActivity

DatabricksSparkJar activity.

DatabricksSparkPythonActivity

DatabricksSparkPython activity.

DataFlowReference

Data flow reference type.

DataFlowReferenceType

Data flow reference type.

DataFlowStagingInfo

Staging info for execute data flow activity.

DataLakeAnalyticsUSQLActivity

Data Lake Analytics U-SQL activity.

DatasetReference

Dataset reference type.

DatasetReferenceType

Dataset reference type.

Db2Source

A copy activity source for Db2 databases.

DeleteActivity

Delete activity.

DelimitedTextReadSettings

Delimited text read settings.

DelimitedTextSink

A copy activity DelimitedText sink.

DelimitedTextSource

A copy activity DelimitedText source.

DelimitedTextWriteSettings

Delimited text write settings.

DependencyCondition
DistcpSettings

Distcp settings.

DocumentDbCollectionSink

A copy activity Document Database Collection sink.

DocumentDbCollectionSource

A copy activity Document Database Collection source.

DrillSource

A copy activity Drill server source.

DWCopyCommandDefaultValue

Default value.

DWCopyCommandSettings

DW Copy Command settings.

DynamicsAXSource

A copy activity Dynamics AX source.

DynamicsCrmSink

A copy activity Dynamics CRM sink.

DynamicsCrmSource

A copy activity Dynamics CRM source.

DynamicsSink

A copy activity Dynamics sink.

DynamicsSinkWriteBehavior

Defines values for DynamicsSinkWriteBehavior.

DynamicsSource

A copy activity Dynamics source.

EloquaSource

A copy activity Eloqua server source.

ExcelSource

A copy activity excel source.

ExecuteDataFlowActivity

Execute data flow activity.

ExecuteDataFlowActivityTypePropertiesCompute

Compute properties for data flow activity.

ExecutePipelineActivity

Execute pipeline activity.

ExecutePipelineActivityPolicy

Execution policy for an execute pipeline activity.

ExecuteSSISPackageActivity

Execute SSIS package activity.

ExecuteWranglingDataflowActivity

Execute power query activity.

ExecutionActivity

Base class for all execution activities.

Expression

Azure Data Factory expression definition.

ExpressionType

Expression type.

ExpressionV2

Nested representation of a complex expression.

ExpressionV2Type

Type of expressions supported by the system. Type: string.

FailActivity

This activity will fail within its own scope and output a custom error message and error code. The error message and code can provided either as a string literal or as an expression that can be evaluated to a string at runtime. The activity scope can be the whole pipeline or a control activity (e.g. foreach, switch, until), if the fail activity is contained in it.

FileServerReadSettings

File server read settings.

FileServerWriteSettings

File server write settings.

FileSystemSink

A copy activity file system sink.

FileSystemSource

A copy activity file system source.

FilterActivity

Filter and return results from input array based on the conditions.

ForEachActivity

This activity is used for iterating over a collection and execute given activities.

FtpReadSettings

Ftp read settings.

GetMetadataActivity

Activity to get metadata of dataset

GoogleAdWordsSource

A copy activity Google AdWords service source.

GoogleBigQuerySource

A copy activity Google BigQuery service source.

GoogleBigQueryV2Source

A copy activity Google BigQuery service source.

GoogleCloudStorageReadSettings

Google Cloud Storage read settings.

GreenplumSource

A copy activity Greenplum Database source.

HBaseSource

A copy activity HBase server source.

HdfsReadSettings

HDFS read settings.

HdfsSource

A copy activity HDFS source.

HDInsightActivityDebugInfoOption

The HDInsightActivityDebugInfoOption settings to use.

HDInsightHiveActivity

HDInsight Hive activity type.

HDInsightMapReduceActivity

HDInsight MapReduce activity type.

HDInsightPigActivity

HDInsight Pig activity type.

HDInsightSparkActivity

HDInsight Spark activity.

HDInsightStreamingActivity

HDInsight streaming activity type.

HiveSource

A copy activity Hive Server source.

HttpReadSettings

Http read settings.

HttpSource

A copy activity source for an HTTP file.

HubspotSource

A copy activity Hubspot Service source.

IcebergSink

A copy activity Iceberg sink.

IcebergWriteSettings

Iceberg write settings.

IfConditionActivity

This activity evaluates a boolean expression and executes either the activities under the ifTrueActivities property or the ifFalseActivities property depending on the result of the expression.

ImpalaSource

A copy activity Impala server source.

InformixSink

A copy activity Informix sink.

InformixSource

A copy activity source for Informix.

IntegrationRuntimeReference

Integration runtime reference type.

IntegrationRuntimeReferenceType

Type of integration runtime.

JiraSource

A copy activity Jira Service source.

JsonReadSettings

Json read settings.

JsonSink

A copy activity Json sink.

JsonSource

A copy activity Json source.

JsonWriteSettings

Json write settings.

LakeHouseReadSettings

Microsoft Fabric Lakehouse Files read settings.

LakeHouseTableSink

A copy activity for Microsoft Fabric Lakehouse Table sink.

LakeHouseTableSource

A copy activity source for Microsoft Fabric Lakehouse Table.

LakeHouseWriteSettings

Microsoft Fabric Lakehouse Files write settings.

LinkedServiceReference

Linked service reference type.

LogLocationSettings

Log location settings.

LogSettings

Log settings.

LogStorageSettings

(Deprecated. Please use LogSettings) Log storage settings.

LookupActivity

Lookup activity.

MagentoSource

A copy activity Magento server source.

MariaDBSource

A copy activity MariaDB server source.

MarketoSource

A copy activity Marketo server source.

MetadataItem

Specify the name and value of custom metadata item.

MicrosoftAccessSink

A copy activity Microsoft Access sink.

MicrosoftAccessSource

A copy activity source for Microsoft Access.

MongoDbAtlasSink

A copy activity MongoDB Atlas sink.

MongoDbAtlasSource

A copy activity source for a MongoDB Atlas database.

MongoDbCursorMethodsProperties

Cursor methods for Mongodb query

MongoDbSource

A copy activity source for a MongoDB database.

MongoDbV2Sink

A copy activity MongoDB sink.

MongoDbV2Source

A copy activity source for a MongoDB database.

MySqlSource

A copy activity source for MySQL databases.

NetezzaPartitionSettings

The settings that will be leveraged for Netezza source partitioning.

NetezzaSource

A copy activity Netezza source.

NotebookParameter

Notebook parameter.

NotebookParameterType

Notebook parameter type.

NotebookReferenceType

Synapse notebook reference type.

ODataSource

A copy activity source for OData source.

OdbcSink

A copy activity ODBC sink.

OdbcSource

A copy activity source for ODBC databases.

Office365Source

A copy activity source for an Office 365 service.

OracleCloudStorageReadSettings

Oracle Cloud Storage read settings.

OraclePartitionSettings

The settings that will be leveraged for Oracle source partitioning.

OracleServiceCloudSource

A copy activity Oracle Service Cloud source.

OracleSink

A copy activity Oracle sink.

OracleSource

A copy activity Oracle source.

OrcSink

A copy activity ORC sink.

OrcSource

A copy activity ORC source.

OrcWriteSettings

Orc write settings.

ParameterSpecification

Definition of a single parameter for an entity.

ParameterType

Parameter type.

ParquetReadSettings

Parquet read settings.

ParquetSink

A copy activity Parquet sink.

ParquetSource

A copy activity Parquet source.

ParquetWriteSettings

Parquet write settings.

PaypalSource

A copy activity Paypal Service source.

PhoenixSource

A copy activity Phoenix server source.

PipelineElapsedTimeMetricPolicy

Pipeline ElapsedTime Metric Policy.

PipelineFolder

The folder that this Pipeline is in. If not specified, Pipeline will appear at the root level.

PipelinePolicy

Pipeline Policy.

PipelineReference

Pipeline reference type.

PipelineReferenceType

Pipeline reference type.

PipelineResource

Pipeline resource type.

PolybaseSettings

PolyBase settings.

PolybaseSettingsRejectType

Indicates whether the RejectValue property is specified as a literal value or a percentage.

PostgreSqlSource

A copy activity source for PostgreSQL databases.

PostgreSqlV2Source

A copy activity source for PostgreSQL databases.

PowerQuerySink

Power query sink.

PowerQuerySinkMapping

Map Power Query mashup query to sink dataset(s).

PrestoSource

A copy activity Presto server source.

QuickBooksSource

A copy activity QuickBooks server source.

RedirectIncompatibleRowSettings

Redirect incompatible row settings

RedshiftUnloadSettings

The Amazon S3 settings needed for the interim Amazon S3 when copying from Amazon Redshift with unload. With this, data from Amazon Redshift source will be unloaded into S3 first and then copied into the targeted sink from the interim S3.

RelationalSource

A copy activity source for various relational databases.

ResponsysSource

A copy activity Responsys source.

RestSink

A copy activity Rest service Sink.

RestSource

A copy activity Rest service source.

SalesforceMarketingCloudSource

A copy activity Salesforce Marketing Cloud source.

SalesforceServiceCloudSink

A copy activity Salesforce Service Cloud sink.

SalesforceServiceCloudSource

A copy activity Salesforce Service Cloud source.

SalesforceServiceCloudV2Sink

A copy activity Salesforce Service Cloud V2 sink.

SalesforceServiceCloudV2Source

A copy activity Salesforce Service Cloud V2 source.

SalesforceSink

A copy activity Salesforce sink.

SalesforceSinkWriteBehavior

The write behavior for the operation. Default is Insert.

SalesforceSource

A copy activity Salesforce source.

SalesforceV2Sink

A copy activity Salesforce V2 sink.

SalesforceV2SinkWriteBehavior

The write behavior for the operation. Default is Insert.

SalesforceV2Source

A copy activity Salesforce V2 source.

SapBwSource

A copy activity source for SapBW server via MDX.

SapCloudForCustomerSink

A copy activity SAP Cloud for Customer sink.

SapCloudForCustomerSinkWriteBehavior

The write behavior for the operation. Default is 'Insert'.

SapCloudForCustomerSource

A copy activity source for SAP Cloud for Customer source.

SapEccSource

A copy activity source for SAP ECC source.

SapHanaPartitionSettings

The settings that will be leveraged for SAP HANA source partitioning.

SapHanaSource

A copy activity source for SAP HANA source.

SapOdpSource

A copy activity source for SAP ODP source.

SapOpenHubSource

A copy activity source for SAP Business Warehouse Open Hub Destination source.

SapTablePartitionSettings

The settings that will be leveraged for SAP table source partitioning.

SapTableSource

A copy activity source for SAP Table source.

ScriptActivity

Script activity type.

ScriptActivityLogDestination

The destination of logs. Type: string.

ScriptActivityParameter

Parameters of a script block.

ScriptActivityParameterDirection

The direction of the parameter.

ScriptActivityParameterType

The type of the parameter.

ScriptActivityScriptBlock

Script block of scripts.

ScriptActivityTypePropertiesLogSettings

Log settings of script activity.

SecureInputOutputPolicy

Execution policy for an activity that supports secure input and output.

SecureString

Azure Data Factory secure string definition. The string value will be masked with asterisks '*' during Get or List API calls.

ServiceNowSource

A copy activity ServiceNow server source.

ServiceNowV2Source

A copy activity ServiceNowV2 server source.

SetVariableActivity

Set value for a Variable.

SftpReadSettings

Sftp read settings.

SftpWriteSettings

Sftp write settings.

SharePointOnlineListSource

A copy activity source for sharePoint online list source.

ShopifySource

A copy activity Shopify Service source.

SkipErrorFile

Skip error file.

SnowflakeExportCopyCommand

Snowflake export command settings.

SnowflakeImportCopyCommand

Snowflake import command settings.

SnowflakeSink

A copy activity snowflake sink.

SnowflakeSource

A copy activity snowflake source.

SnowflakeV2Sink

A copy activity snowflake sink.

SnowflakeV2Source

A copy activity snowflake source.

SparkConfigurationParametrizationReference

Spark configuration reference.

SparkConfigurationReferenceType

Spark configuration reference type.

SparkJobReferenceType

Synapse spark job reference type.

SparkSource

A copy activity Spark Server source.

SqlDWSink

A copy activity SQL Data Warehouse sink.

SqlDWSource

A copy activity SQL Data Warehouse source.

SqlDWUpsertSettings

Sql DW upsert option settings

SqlMISink

A copy activity Azure SQL Managed Instance sink.

SqlMISource

A copy activity Azure SQL Managed Instance source.

SqlPartitionSettings

The settings that will be leveraged for Sql source partitioning.

SqlServerSink

A copy activity SQL server sink.

SqlServerSource

A copy activity SQL server source.

SqlServerStoredProcedureActivity

SQL stored procedure activity type.

SqlSink

A copy activity SQL sink.

SqlSource

A copy activity SQL source.

SqlUpsertSettings

Sql upsert option settings

SquareSource

A copy activity Square Service source.

SSISAccessCredential

SSIS access credential.

SSISChildPackage

SSIS embedded child package.

SSISExecutionCredential

SSIS package execution credential.

SSISExecutionParameter

SSIS execution parameter.

SSISLogLocation

SSIS package execution log location

SsisLogLocationType

The type of SSIS log location.

SSISPackageLocation

SSIS package location.

SsisPackageLocationType

The type of SSIS package location.

SSISPropertyOverride

SSIS property override.

StagingSettings

Staging settings.

SwitchActivity

This activity evaluates an expression and executes activities under the cases property that correspond to the expression evaluation expected in the equals property.

SwitchCase

Switch cases with have a value and corresponding activities.

SybaseSource

A copy activity source for Sybase databases.

SynapseNotebookActivity

Execute Synapse notebook activity.

SynapseNotebookReference

Synapse notebook reference type.

SynapseSparkJobDefinitionActivity

Execute spark job activity.

SynapseSparkJobReference

Synapse spark job reference type.

systemData

Metadata pertaining to creation and last modification of the resource.

TabularSource

Copy activity sources of tabular type.

TarGZipReadSettings

The TarGZip compression read settings.

TarReadSettings

The Tar compression read settings.

TeradataImportCommand

Teradata import command settings.

TeradataPartitionSettings

The settings that will be leveraged for teradata source partitioning.

TeradataSink

A copy activity Teradata sink.

TeradataSource

A copy activity Teradata source.

Type

Linked service reference type.

UntilActivity

This activity executes inner activities until the specified boolean expression results to true or timeout is reached, whichever is earlier.

UserProperty

User property.

ValidationActivity

This activity verifies that an external resource exists.

VariableSpecification

Definition of a single variable for a Pipeline.

VariableType

Variable type.

VerticaSource

A copy activity Vertica source.

WaitActivity

This activity suspends pipeline execution for the specified interval.

WarehouseSink

A copy activity Microsoft Fabric Warehouse sink.

WarehouseSource

A copy activity Microsoft Fabric Warehouse source.

WebActivity

Web activity.

WebActivityAuthentication

Web activity authentication properties.

WebActivityMethod

The list of HTTP methods supported by a WebActivity.

WebHookActivity

WebHook activity.

WebHookActivityMethod

The list of HTTP methods supported by a WebHook activity.

WebSource

A copy activity source for web page table.

XeroSource

A copy activity Xero Service source.

XmlReadSettings

Xml read settings.

XmlSource

A copy activity Xml source.

ZipDeflateReadSettings

The ZipDeflate compression read settings.

ZohoSource

A copy activity Zoho server source.

ActivityDependency

Activity dependency information.

Name Type Description
activity

string

Activity name.

dependencyConditions

DependencyCondition[]

Match-Condition for the dependency.

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

Value Description
Succeeded

Succeeded

Failed

Failed

Skipped

Skipped

ActivityPolicy

Execution policy for an activity.

Name Type Description
retry

Maximum ordinary retry attempts. Default is 0. Type: integer (or Expression with resultType integer), minimum: 0.

retryIntervalInSeconds

integer (int32)

minimum: 30
maximum: 86400

Interval between each retry attempt (in seconds). The default is 30 sec.

secureInput

boolean

When set to true, Input from activity is considered as secure and will not be logged to monitoring.

secureOutput

boolean

When set to true, Output from activity is considered as secure and will not be logged to monitoring.

timeout

Specifies the timeout for the activity to run. The default timeout is 7 days. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

Value Description
Active

Active

Inactive

Inactive

AmazonMWSSource

A copy activity Amazon Marketplace Web Service source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

A query to retrieve data from source. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AmazonMWSSource

Copy source type.

AmazonRdsForOraclePartitionSettings

The settings that will be leveraged for AmazonRdsForOracle source partitioning.

Name Type Description
partitionColumnName

The name of the column in integer type that will be used for proceeding range partitioning. Type: string (or Expression with resultType string).

partitionLowerBound

The minimum value of column specified in partitionColumnName that will be used for proceeding range partitioning. Type: string (or Expression with resultType string).

partitionNames

Names of the physical partitions of AmazonRdsForOracle table.

partitionUpperBound

The maximum value of column specified in partitionColumnName that will be used for proceeding range partitioning. Type: string (or Expression with resultType string).

AmazonRdsForOracleSource

A copy activity AmazonRdsForOracle source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

numberPrecision

The decimal precision used to represent Oracle NUMBER type without precision and scale. The range is 1 to 256 and default value is 256 if not specified. Type: integer (or Expression with resultType integer). Only used for Version 2.0.

numberScale

The decimal scale used to represent Oracle NUMBER type without precision and scale. The range is 0 to 130 and default value is 130 if not specified. Type: integer (or Expression with resultType integer). Only used for Version 2.0.

oracleReaderQuery

AmazonRdsForOracle reader query. Type: string (or Expression with resultType string).

partitionOption

The partition mechanism that will be used for AmazonRdsForOracle read in parallel. Type: string (or Expression with resultType string).

partitionSettings

AmazonRdsForOraclePartitionSettings

The settings that will be leveraged for AmazonRdsForOracle source partitioning.

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AmazonRdsForOracleSource

Copy source type.

AmazonRdsForSqlServerSource

A copy activity Amazon RDS for SQL Server source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

isolationLevel

Specifies the transaction locking behavior for the SQL source. Allowed values: ReadCommitted/ReadUncommitted/RepeatableRead/Serializable/Snapshot. The default value is ReadCommitted. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

partitionOption

The partition mechanism that will be used for Sql read in parallel. Possible values include: "None", "PhysicalPartitionsOfTable", "DynamicRange".

partitionSettings

SqlPartitionSettings

The settings that will be leveraged for Sql source partitioning.

produceAdditionalTypes

Which additional types to produce.

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sqlReaderQuery

SQL reader query. Type: string (or Expression with resultType string).

sqlReaderStoredProcedureName

Name of the stored procedure for a SQL Database source. This cannot be used at the same time as SqlReaderQuery. Type: string (or Expression with resultType string).

storedProcedureParameters

Value and type setting for stored procedure parameters. Example: "{Parameter1: {value: "1", type: "int"}}".

type string:

AmazonRdsForSqlServerSource

Copy source type.

AmazonRedshiftSource

A copy activity source for Amazon Redshift Source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

Database query. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

redshiftUnloadSettings

RedshiftUnloadSettings

The Amazon S3 settings needed for the interim Amazon S3 when copying from Amazon Redshift with unload. With this, data from Amazon Redshift source will be unloaded into S3 first and then copied into the targeted sink from the interim S3.

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AmazonRedshiftSource

Copy source type.

AmazonS3CompatibleReadSettings

Amazon S3 Compatible read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

prefix

The prefix filter for the S3 Compatible object name. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AmazonS3CompatibleReadSettings

The read setting type.

wildcardFileName

Amazon S3 Compatible wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

Amazon S3 Compatible wildcardFolderPath. Type: string (or Expression with resultType string).

AmazonS3ReadSettings

Amazon S3 read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

prefix

The prefix filter for the S3 object name. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AmazonS3ReadSettings

The read setting type.

wildcardFileName

AmazonS3 wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

AmazonS3 wildcardFolderPath. Type: string (or Expression with resultType string).

AppendVariableActivity

Append value for a Variable of type Array.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AppendVariable

Type of activity.

typeProperties.value

Value to be appended. Type: could be a static value matching type of the variable item or Expression with resultType matching type of the variable item

typeProperties.variableName

string

Name of the variable whose value needs to be appended to.

userProperties

UserProperty[]

Activity user properties.

AvroSink

A copy activity Avro sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

formatSettings

AvroWriteSettings

Avro format settings.

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

storeSettings StoreWriteSettings:

Avro store settings.

type string:

AvroSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AvroSource

A copy activity Avro source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

storeSettings StoreReadSettings:

Avro store settings.

type string:

AvroSource

Copy source type.

AvroWriteSettings

Avro write settings.

Name Type Description
fileNamePrefix

Specifies the file name pattern <fileNamePrefix>_<fileIndex>.<fileExtension> when copy from non-file based store without partitionOptions. Type: string (or Expression with resultType string).

maxRowsPerFile

Limit the written file's row count to be smaller than or equal to the specified count. Type: integer (or Expression with resultType integer).

recordName

string

Top level record name in write result, which is required in AVRO spec.

recordNamespace

string

Record namespace in the write result.

type string:

AvroWriteSettings

The write setting type.

AzureBlobFSReadSettings

Azure blobFS read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AzureBlobFSReadSettings

The read setting type.

wildcardFileName

Azure blobFS wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

Azure blobFS wildcardFolderPath. Type: string (or Expression with resultType string).

AzureBlobFSSink

A copy activity Azure Data Lake Storage Gen2 sink.

Name Type Description
copyBehavior

The type of copy behavior for copy sink. Type: string (or Expression with resultType string).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureBlobFSSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureBlobFSSource

A copy activity Azure BlobFS source.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

skipHeaderLineCount

Number of header lines to skip from each blob. Type: integer (or Expression with resultType integer).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

treatEmptyAsNull

Treat empty as null. Type: boolean (or Expression with resultType boolean).

type string:

AzureBlobFSSource

Copy source type.

AzureBlobFSWriteSettings

Azure blobFS write settings.

Name Type Description
blockSizeInMB

Indicates the block size(MB) when writing data to blob. Type: integer (or Expression with resultType integer).

copyBehavior

The type of copy behavior for copy sink.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

type string:

AzureBlobFSWriteSettings

The write setting type.

AzureBlobStorageReadSettings

Azure blob read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

prefix

The prefix filter for the Azure Blob name. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AzureBlobStorageReadSettings

The read setting type.

wildcardFileName

Azure blob wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

Azure blob wildcardFolderPath. Type: string (or Expression with resultType string).

AzureBlobStorageWriteSettings

Azure blob write settings.

Name Type Description
blockSizeInMB

Indicates the block size(MB) when writing data to blob. Type: integer (or Expression with resultType integer).

copyBehavior

The type of copy behavior for copy sink.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

type string:

AzureBlobStorageWriteSettings

The write setting type.

AzureDatabricksDeltaLakeExportCommand

Azure Databricks Delta Lake export command settings.

Name Type Description
dateFormat

Specify the date format for the csv in Azure Databricks Delta Lake Copy. Type: string (or Expression with resultType string).

timestampFormat

Specify the timestamp format for the csv in Azure Databricks Delta Lake Copy. Type: string (or Expression with resultType string).

type string:

AzureDatabricksDeltaLakeExportCommand

The export setting type.

AzureDatabricksDeltaLakeImportCommand

Azure Databricks Delta Lake import command settings.

Name Type Description
dateFormat

Specify the date format for csv in Azure Databricks Delta Lake Copy. Type: string (or Expression with resultType string).

timestampFormat

Specify the timestamp format for csv in Azure Databricks Delta Lake Copy. Type: string (or Expression with resultType string).

type string:

AzureDatabricksDeltaLakeImportCommand

The import setting type.

AzureDatabricksDeltaLakeSink

A copy activity Azure Databricks Delta Lake sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

importSettings

AzureDatabricksDeltaLakeImportCommand

Azure Databricks Delta Lake import settings.

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

preCopyScript

SQL pre-copy script. Type: string (or Expression with resultType string).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDatabricksDeltaLakeSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureDatabricksDeltaLakeSource

A copy activity Azure Databricks Delta Lake source.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

exportSettings

AzureDatabricksDeltaLakeExportCommand

Azure Databricks Delta Lake export settings.

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

Azure Databricks Delta Lake Sql query. Type: string (or Expression with resultType string).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDatabricksDeltaLakeSource

Copy source type.

AzureDataExplorerCommandActivity

Azure Data Explorer command activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AzureDataExplorerCommand

Type of activity.

typeProperties.command

A control command, according to the Azure Data Explorer command syntax. Type: string (or Expression with resultType string).

typeProperties.commandTimeout

Control command timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9]))..)

userProperties

UserProperty[]

Activity user properties.

AzureDataExplorerSink

A copy activity Azure Data Explorer sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

flushImmediately

If set to true, any aggregation will be skipped. Default is false. Type: boolean.

ingestionMappingAsJson

An explicit column mapping description provided in a json format. Type: string.

ingestionMappingName

A name of a pre-created csv mapping that was defined on the target Kusto table. Type: string.

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDataExplorerSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureDataExplorerSource

A copy activity Azure Data Explorer (Kusto) source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

noTruncation

The name of the Boolean option that controls whether truncation is applied to result-sets that go beyond a certain row-count limit.

query

Database query. Should be a Kusto Query Language (KQL) query. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9]))..

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDataExplorerSource

Copy source type.

AzureDataLakeStoreReadSettings

Azure data lake store read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

listAfter

Lists files after the value (exclusive) based on file/folder names’ lexicographical order. Applies under the folderPath in data set, and filter files/sub-folders under the folderPath. Type: string (or Expression with resultType string).

listBefore

Lists files before the value (inclusive) based on file/folder names’ lexicographical order. Applies under the folderPath in data set, and filter files/sub-folders under the folderPath. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AzureDataLakeStoreReadSettings

The read setting type.

wildcardFileName

ADLS wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

ADLS wildcardFolderPath. Type: string (or Expression with resultType string).

AzureDataLakeStoreSink

A copy activity Azure Data Lake Store sink.

Name Type Description
copyBehavior

The type of copy behavior for copy sink. Type: string (or Expression with resultType string).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enableAdlsSingleFileParallel

Single File Parallel.

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDataLakeStoreSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureDataLakeStoreSource

A copy activity Azure Data Lake source.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureDataLakeStoreSource

Copy source type.

AzureDataLakeStoreWriteSettings

Azure data lake store write settings.

Name Type Description
copyBehavior

The type of copy behavior for copy sink.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

expiryDateTime

Specifies the expiry time of the written files. The time is applied to the UTC time zone in the format of "2018-12-01T05:00:00Z". Default value is NULL. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

type string:

AzureDataLakeStoreWriteSettings

The write setting type.

AzureFileStorageReadSettings

Azure File Storage read settings.

Name Type Description
deleteFilesAfterCompletion

Indicates whether the source files need to be deleted after copy completion. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

enablePartitionDiscovery

Indicates whether to enable partition discovery. Type: boolean (or Expression with resultType boolean).

fileListPath

Point to a text file that lists each file (relative path to the path configured in the dataset) that you want to copy. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

modifiedDatetimeEnd

The end of file's modified datetime. Type: string (or Expression with resultType string).

modifiedDatetimeStart

The start of file's modified datetime. Type: string (or Expression with resultType string).

partitionRootPath

Specify the root path where partition discovery starts from. Type: string (or Expression with resultType string).

prefix

The prefix filter for the Azure File name starting from root path. Type: string (or Expression with resultType string).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

type string:

AzureFileStorageReadSettings

The read setting type.

wildcardFileName

Azure File Storage wildcardFileName. Type: string (or Expression with resultType string).

wildcardFolderPath

Azure File Storage wildcardFolderPath. Type: string (or Expression with resultType string).

AzureFileStorageWriteSettings

Azure File Storage write settings.

Name Type Description
copyBehavior

The type of copy behavior for copy sink.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

type string:

AzureFileStorageWriteSettings

The write setting type.

AzureFunctionActivity

Azure Function activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AzureFunctionActivity

Type of activity.

typeProperties.body

Represents the payload that will be sent to the endpoint. Required for POST/PUT method, not allowed for GET method Type: string (or Expression with resultType string).

typeProperties.functionName

Name of the Function that the Azure Function Activity will call. Type: string (or Expression with resultType string)

typeProperties.headers

Represents the headers that will be sent to the request. For example, to set the language and type on a request: "headers" : { "Accept-Language": "en-us", "Content-Type": "application/json" }. Type: string (or Expression with resultType string).

typeProperties.method

AzureFunctionActivityMethod

Rest API method for target endpoint.

userProperties

UserProperty[]

Activity user properties.

AzureFunctionActivityMethod

The list of HTTP methods supported by a AzureFunctionActivity.

Value Description
GET

GET

POST

POST

PUT

PUT

DELETE

DELETE

OPTIONS

OPTIONS

HEAD

HEAD

TRACE

TRACE

AzureKeyVaultSecretReference

Azure Key Vault secret reference.

Name Type Description
secretName

The name of the secret in Azure Key Vault. Type: string (or Expression with resultType string).

secretVersion

The version of the secret in Azure Key Vault. The default value is the latest version of the secret. Type: string (or Expression with resultType string).

store

LinkedServiceReference

The Azure Key Vault linked service reference.

type string:

AzureKeyVaultSecret

Type of the secret.

AzureMariaDBSource

A copy activity Azure MariaDB source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

A query to retrieve data from source. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureMariaDBSource

Copy source type.

AzureMLBatchExecutionActivity

Azure ML Batch Execution activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AzureMLBatchExecution

Type of activity.

typeProperties.globalParameters

Key,Value pairs to be passed to the Azure ML Batch Execution Service endpoint. Keys must match the names of web service parameters defined in the published Azure ML web service. Values will be passed in the GlobalParameters property of the Azure ML batch execution request.

typeProperties.webServiceInputs

<string,  AzureMLWebServiceFile>

Key,Value pairs, mapping the names of Azure ML endpoint's Web Service Inputs to AzureMLWebServiceFile objects specifying the input Blob locations.. This information will be passed in the WebServiceInputs property of the Azure ML batch execution request.

typeProperties.webServiceOutputs

<string,  AzureMLWebServiceFile>

Key,Value pairs, mapping the names of Azure ML endpoint's Web Service Outputs to AzureMLWebServiceFile objects specifying the output Blob locations. This information will be passed in the WebServiceOutputs property of the Azure ML batch execution request.

userProperties

UserProperty[]

Activity user properties.

AzureMLExecutePipelineActivity

Azure ML Execute Pipeline activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AzureMLExecutePipeline

Type of activity.

typeProperties.continueOnStepFailure

Whether to continue execution of other steps in the PipelineRun if a step fails. This information will be passed in the continueOnStepFailure property of the published pipeline execution request. Type: boolean (or Expression with resultType boolean).

typeProperties.dataPathAssignments

Dictionary used for changing data path assignments without retraining. Values will be passed in the dataPathAssignments property of the published pipeline execution request. Type: object (or Expression with resultType object).

typeProperties.experimentName

Run history experiment name of the pipeline run. This information will be passed in the ExperimentName property of the published pipeline execution request. Type: string (or Expression with resultType string).

typeProperties.mlParentRunId

The parent Azure ML Service pipeline run id. This information will be passed in the ParentRunId property of the published pipeline execution request. Type: string (or Expression with resultType string).

typeProperties.mlPipelineEndpointId

ID of the published Azure ML pipeline endpoint. Type: string (or Expression with resultType string).

typeProperties.mlPipelineId

ID of the published Azure ML pipeline. Type: string (or Expression with resultType string).

typeProperties.mlPipelineParameters

Key,Value pairs to be passed to the published Azure ML pipeline endpoint. Keys must match the names of pipeline parameters defined in the published pipeline. Values will be passed in the ParameterAssignments property of the published pipeline execution request. Type: object with key value pairs (or Expression with resultType object).

typeProperties.version

Version of the published Azure ML pipeline endpoint. Type: string (or Expression with resultType string).

userProperties

UserProperty[]

Activity user properties.

AzureMLUpdateResourceActivity

Azure ML Update Resource management activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

AzureMLUpdateResource

Type of activity.

typeProperties.trainedModelFilePath

The relative file path in trainedModelLinkedService to represent the .ilearner file that will be uploaded by the update operation. Type: string (or Expression with resultType string).

typeProperties.trainedModelLinkedServiceName

LinkedServiceReference

Name of Azure Storage linked service holding the .ilearner file that will be uploaded by the update operation.

typeProperties.trainedModelName

Name of the Trained Model module in the Web Service experiment to be updated. Type: string (or Expression with resultType string).

userProperties

UserProperty[]

Activity user properties.

AzureMLWebServiceFile

Azure ML WebService Input/Output file

Name Type Description
filePath

The relative file path, including container name, in the Azure Blob Storage specified by the LinkedService. Type: string (or Expression with resultType string).

linkedServiceName

LinkedServiceReference

Reference to an Azure Storage LinkedService, where Azure ML WebService Input/Output file located.

AzureMySqlSink

A copy activity Azure MySql sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

preCopyScript

A query to execute before starting the copy. Type: string (or Expression with resultType string).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureMySqlSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureMySqlSource

A copy activity Azure MySQL source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

Database query. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureMySqlSource

Copy source type.

AzurePostgreSqlSink

A copy activity Azure Database for PostgreSQL sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

preCopyScript

A query to execute before starting the copy. Type: string (or Expression with resultType string).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzurePostgreSqlSink

Copy sink type.

upsertSettings

AzurePostgreSqlSinkUpsertSettings

Azure Database for PostgreSQL upsert option settings

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

writeMethod

AzurePostgreSqlWriteMethodEnum

The write behavior for the operation. Default is Bulk Insert.

AzurePostgreSqlSinkUpsertSettings

Azure Database for PostgreSQL upsert option settings

Name Type Description
keys

Key column names for unique row identification. Type: array of strings (or Expression with resultType array of strings).

AzurePostgreSqlSource

A copy activity Azure Database for PostgreSQL source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

A query to retrieve data from source. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzurePostgreSqlSource

Copy source type.

AzurePostgreSqlWriteMethodEnum

The write behavior for the operation. Default is Bulk Insert.

Value Description
BulkInsert

BulkInsert

CopyCommand

CopyCommand

Upsert

Upsert

AzureQueueSink

A copy activity Azure Queue sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureQueueSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureSearchIndexSink

A copy activity Azure Search Index sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureSearchIndexSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

writeBehavior

AzureSearchIndexWriteBehaviorType

Specify the write behavior when upserting documents into Azure Search Index.

AzureSearchIndexWriteBehaviorType

Specify the write behavior when upserting documents into Azure Search Index.

Value Description
Merge

Merge

Upload

Upload

AzureSqlSink

A copy activity Azure SQL sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

preCopyScript

SQL pre-copy script. Type: string (or Expression with resultType string).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sqlWriterStoredProcedureName

SQL writer stored procedure name. Type: string (or Expression with resultType string).

sqlWriterTableType

SQL writer table type. Type: string (or Expression with resultType string).

sqlWriterUseTableLock

Whether to use table lock during bulk copy. Type: boolean (or Expression with resultType boolean).

storedProcedureParameters

SQL stored procedure parameters.

storedProcedureTableTypeParameterName

The stored procedure parameter name of the table type. Type: string (or Expression with resultType string).

tableOption

The option to handle sink table, such as autoCreate. For now only 'autoCreate' value is supported. Type: string (or Expression with resultType string).

type string:

AzureSqlSink

Copy sink type.

upsertSettings

SqlUpsertSettings

SQL upsert settings.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

writeBehavior

Write behavior when copying data into Azure SQL. Type: SqlWriteBehaviorEnum (or Expression with resultType SqlWriteBehaviorEnum)

AzureSqlSource

A copy activity Azure SQL source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

isolationLevel

Specifies the transaction locking behavior for the SQL source. Allowed values: ReadCommitted/ReadUncommitted/RepeatableRead/Serializable/Snapshot. The default value is ReadCommitted. Type: string (or Expression with resultType string).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

partitionOption

The partition mechanism that will be used for Sql read in parallel. Possible values include: "None", "PhysicalPartitionsOfTable", "DynamicRange". Type: string (or Expression with resultType string).

partitionSettings

SqlPartitionSettings

The settings that will be leveraged for Sql source partitioning.

produceAdditionalTypes

Which additional types to produce.

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sqlReaderQuery

SQL reader query. Type: string (or Expression with resultType string).

sqlReaderStoredProcedureName

Name of the stored procedure for a SQL Database source. This cannot be used at the same time as SqlReaderQuery. Type: string (or Expression with resultType string).

storedProcedureParameters

Value and type setting for stored procedure parameters. Example: "{Parameter1: {value: "1", type: "int"}}".

type string:

AzureSqlSource

Copy source type.

AzureTableSink

A copy activity Azure Table sink.

Name Type Description
azureTableDefaultPartitionKeyValue

Azure Table default partition key value. Type: string (or Expression with resultType string).

azureTableInsertType

Azure Table insert type. Type: string (or Expression with resultType string).

azureTablePartitionKeyName

Azure Table partition key name. Type: string (or Expression with resultType string).

azureTableRowKeyName

Azure Table row key name. Type: string (or Expression with resultType string).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureTableSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

AzureTableSource

A copy activity Azure Table source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

azureTableSourceIgnoreTableNotFound

Azure Table source ignore table not found. Type: boolean (or Expression with resultType boolean).

azureTableSourceQuery

Azure Table source query. Type: string (or Expression with resultType string).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

AzureTableSource

Copy source type.

BigDataPoolParametrizationReference

Big data pool reference type.

Name Type Description
referenceName

Reference big data pool name. Type: string (or Expression with resultType string).

type

BigDataPoolReferenceType

Big data pool reference type.

BigDataPoolReferenceType

Big data pool reference type.

Value Description
BigDataPoolReference

BigDataPoolReference

BinaryReadSettings

Binary read settings.

Name Type Description
compressionProperties CompressionReadSettings:

Compression settings.

type string:

BinaryReadSettings

The read setting type.

BinarySink

A copy activity Binary sink.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

storeSettings StoreWriteSettings:

Binary store settings.

type string:

BinarySink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

BinarySource

A copy activity Binary source.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

formatSettings

BinaryReadSettings

Binary format settings.

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

storeSettings StoreReadSettings:

Binary store settings.

type string:

BinarySource

Copy source type.

BlobSink

A copy activity Azure Blob sink.

Name Type Description
blobWriterAddHeader

Blob writer add header. Type: boolean (or Expression with resultType boolean).

blobWriterDateTimeFormat

Blob writer date time format. Type: string (or Expression with resultType string).

blobWriterOverwriteFiles

Blob writer overwrite files. Type: boolean (or Expression with resultType boolean).

copyBehavior

The type of copy behavior for copy sink.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

metadata

MetadataItem[]

Specify the custom metadata to be added to sink data. Type: array of objects (or Expression with resultType array of objects).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

BlobSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

BlobSource

A copy activity Azure Blob source.

Name Type Description
disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

recursive

If true, files under the folder path will be read recursively. Default is true. Type: boolean (or Expression with resultType boolean).

skipHeaderLineCount

Number of header lines to skip from each blob. Type: integer (or Expression with resultType integer).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

treatEmptyAsNull

Treat empty as null. Type: boolean (or Expression with resultType boolean).

type string:

BlobSource

Copy source type.

CassandraSource

A copy activity source for a Cassandra database.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

consistencyLevel

CassandraSourceReadConsistencyLevels

The consistency level specifies how many Cassandra servers must respond to a read request before returning data to the client application. Cassandra checks the specified number of Cassandra servers for data to satisfy the read request. Must be one of cassandraSourceReadConsistencyLevels. The default value is 'ONE'. It is case-insensitive.

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

Database query. Should be a SQL-92 query expression or Cassandra Query Language (CQL) command. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

CassandraSource

Copy source type.

CassandraSourceReadConsistencyLevels

The consistency level specifies how many Cassandra servers must respond to a read request before returning data to the client application. Cassandra checks the specified number of Cassandra servers for data to satisfy the read request. Must be one of cassandraSourceReadConsistencyLevels. The default value is 'ONE'. It is case-insensitive.

Value Description
ALL

ALL

EACH_QUORUM

EACH_QUORUM

QUORUM

QUORUM

LOCAL_QUORUM

LOCAL_QUORUM

ONE

ONE

TWO

TWO

THREE

THREE

LOCAL_ONE

LOCAL_ONE

SERIAL

SERIAL

LOCAL_SERIAL

LOCAL_SERIAL

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

CommonDataServiceForAppsSink

A copy activity Common Data Service for Apps sink.

Name Type Description
alternateKeyName

The logical name of the alternate key which will be used when upserting records. Type: string (or Expression with resultType string).

bypassBusinessLogicExecution

Controls the bypass of Dataverse custom business logic. Type: string (or Expression with resultType string). Type: string (or Expression with resultType string).

bypassPowerAutomateFlows

Controls the bypass of Power Automate flows. Default is false. Type: boolean (or Expression with resultType boolean).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

ignoreNullValues

The flag indicating whether to ignore null values from input dataset (except key fields) during write operation. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the sink data store. Type: integer (or Expression with resultType integer).

sinkRetryCount

Sink retry count. Type: integer (or Expression with resultType integer).

sinkRetryWait

Sink retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

CommonDataServiceForAppsSink

Copy sink type.

writeBatchSize

Write batch size. Type: integer (or Expression with resultType integer), minimum: 0.

writeBatchTimeout

Write batch timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

writeBehavior

DynamicsSinkWriteBehavior

The write behavior for the operation.

CommonDataServiceForAppsSource

A copy activity Common Data Service for Apps source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

FetchXML is a proprietary query language that is used in Microsoft Common Data Service for Apps (online & on-premises). Type: string (or Expression with resultType string).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

CommonDataServiceForAppsSource

Copy source type.

ConcurSource

A copy activity Concur Service source.

Name Type Description
additionalColumns

Specifies the additional columns to be added to source data. Type: array of objects(AdditionalColumns) (or Expression with resultType array of objects).

disableMetricsCollection

If true, disable data store metrics collection. Default is false. Type: boolean (or Expression with resultType boolean).

maxConcurrentConnections

The maximum concurrent connection count for the source data store. Type: integer (or Expression with resultType integer).

query

A query to retrieve data from source. Type: string (or Expression with resultType string).

queryTimeout

Query timeout. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

sourceRetryCount

Source retry count. Type: integer (or Expression with resultType integer).

sourceRetryWait

Source retry wait. Type: string (or Expression with resultType string), pattern: ((\d+).)?(\d\d):(60|([0-5][0-9])):(60|([0-5][0-9])).

type string:

ConcurSource

Copy source type.

ConfigurationType

The type of the spark config.

Value Description
Default

Default

Customized

Customized

Artifact

Artifact

ContinuationSettingsReference

Continuation settings for execute data flow activity.

Name Type Description
continuationTtlInMinutes

Continuation TTL in minutes.

customizedCheckpointKey

Customized checkpoint key.

idleCondition

Idle condition.

ControlActivity

Base class for all control activities like IfCondition, ForEach , Until.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

Container

Type of activity.

userProperties

UserProperty[]

Activity user properties.

CopyActivity

Copy activity.

Name Type Description
dependsOn

ActivityDependency[]

Activity depends on condition.

description

string

Activity description.

inputs

DatasetReference[]

List of inputs for the activity.

linkedServiceName

LinkedServiceReference

Linked service reference.

name

string

Activity name.

onInactiveMarkAs

ActivityOnInactiveMarkAs

Status result of the activity when the state is set to Inactive. This is an optional property and if not provided when the activity is inactive, the status will be Succeeded by default.

outputs

DatasetReference[]

List of outputs for the activity.

policy

ActivityPolicy

Activity policy.

state

ActivityState

Activity state. This is an optional property and if not provided, the state will be Active by default.

type string:

Copy

Type of activity.

typeProperties.dataIntegrationUnits

Maximum number of data integration units that can be used to perform this data movement. Type: integer (or Expression with resultType integer), minimum: 0.

typeProperties.enableSkipIncompatibleRow

Whether to skip incompatible row. Default value is false. Type: boolean (or Expression with resultType boolean).

typeProperties.enableStaging

Specifies whether to copy data via an interim staging. Default value is false. Type: boolean (or Expression with resultType boolean).

[...]
